#pragma once

#include "../managedObject.hpp"

namespace render {
namespace kernel {

class VertexArray: public ManagedObject
{
public:
    VertexArray() noexcept;
    ~VertexArray() noexcept;

    void Bind() const noexcept;
    void Unbind() const noexcept;

    void Render(uint32_t mode, int32_t first, uint32_t count) const noexcept;
};

}
}
